# Revoke current API token

`DELETE /api/v1/me/api-tokens/{token}`

Operation ID: `revokeCurrentAPIToken`  
Effect: `destructive`  
Confirmation: `required`

## Authorization

- mode: `privilege`
- privilege: `MANAGE_GRANTS`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `token` | path | true | `{"type":"string"}` |  |

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `204` |  | There is no content to send for this request, but the headers may be useful.  |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
